For the complete documentation index, see llms.txt. This page is also available as Markdown.

Integrations

post

Create K K E M Authorization.

Authorizations
sessionidstringOptional
Responses
200

Authorization created; confirmation email sent.

No content

post/api/v1/integrations/kkem/authorization/
POST /api/v1/integrations/kkem/authorization/ HTTP/1.1
Accept: */*
200

Authorization created; confirmation email sent.

No content

patch

Partially update K K E M Authorization.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/integrations/kkem/authorization/
PATCH /api/v1/integrations/kkem/authorization/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "accessToken": "text",
    "refreshToken": "text"
  }
}
post

Create K K E M Authorization.

Authorizations
sessionidstringOptional
Path parameters
tokenstringRequired
Responses
200

Authorization created; confirmation email sent.

No content

post/api/v1/integrations/kkem/authorization/{token}/
POST /api/v1/integrations/kkem/authorization/{token}/ HTTP/1.1
Accept: */*
200

Authorization created; confirmation email sent.

No content

patch

Partially update K K E M Authorization.

Authorizations
sessionidstringOptional
Path parameters
tokenstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/integrations/kkem/authorization/{token}/
PATCH /api/v1/integrations/kkem/authorization/{token}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "accessToken": "text",
    "refreshToken": "text"
  }
}
get
Authorizations
sessionidstringOptional
Responses
200

No response body

No content

get/api/v1/integrations/kkem/hackathon-stats/
GET /api/v1/integrations/kkem/hackathon-stats/ HTTP/1.1
Accept: */*
200

No response body

No content

post

Create K K E M Integration Login.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/kkem/login/
POST /api/v1/integrations/kkem/login/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "accessToken": "text",
    "refreshToken": "text",
    "data": {
      "email": "text",
      "full_name": "text",
      "muid": "text",
      "link_id": "text",
      "verified": true
    }
  }
}
get

Retrieve K K E Mdetails Fetch.

Authorizations
sessionidstringOptional
Path parameters
encrypted_datastringRequired
Responses
200

KKEM jobseeker details returned from the KKEM API.

No content

get/api/v1/integrations/kkem/user/{encrypted_data}/
GET /api/v1/integrations/kkem/user/{encrypted_data}/ HTTP/1.1
Accept: */*
200

KKEM jobseeker details returned from the KKEM API.

No content

get

Retrieve K K E M User Status.

Authorizations
sessionidstringOptional
Path parameters
encrypted_datastringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/integrations/kkem/user/status/{encrypted_data}/
GET /api/v1/integrations/kkem/user/status/{encrypted_data}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "mu_id": "text",
    "email": "name@gmail.com",
    "jsid": "text",
    "total_karma": "text",
    "interest_groups": "text"
  }
}
get
Authorizations
sessionidstringOptional
Responses
200

No response body

No content

get/api/v1/integrations/kkem/users/
GET /api/v1/integrations/kkem/users/ HTTP/1.1
Accept: */*
200

No response body

No content

get
Authorizations
sessionidstringOptional
Path parameters
muidstringRequired
Responses
200

No response body

No content

get/api/v1/integrations/kkem/users/{muid}/
GET /api/v1/integrations/kkem/users/{muid}/ HTTP/1.1
Accept: */*
200

No response body

No content

get
Authorizations
sessionidstringOptional
Responses
200

No response body

No content

get/api/v1/integrations/mufifa/verify-task/
GET /api/v1/integrations/mufifa/verify-task/ HTTP/1.1
Accept: */*
200

No response body

No content

get

Retrieve Get All Connected Users.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/integrations/qseverse/connected-users/
GET /api/v1/integrations/qseverse/connected-users/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "did": "text",
      "name": "text",
      "email": "name@gmail.com"
    }
  ]
}

Retrieve Get Connected User.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/integrations/qseverse/connected-users/search
GET /api/v1/integrations/qseverse/connected-users/search HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "dids": [
      "text"
    ]
  }
}
post

Create Issue Verifiable Credential.

Authorizations
sessionidstringOptional
Body
template_idstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/qseverse/issue-vc/
POST /api/v1/integrations/qseverse/issue-vc/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 180

{
  "subject_info": {
    "type": "text",
    "did": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "phone": "text"
  },
  "credential_info": {
    "name": "text",
    "description": "text"
  },
  "template_id": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "subject_info": {
      "type": "text",
      "did": "text",
      "full_name": "text",
      "email": "name@gmail.com",
      "phone": "text"
    },
    "credential_info": {
      "name": "text",
      "description": "text"
    },
    "template_id": "text"
  }
}
get

Retrieve Get Q S Credentials.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/integrations/qseverse/qs-credentials/
GET /api/v1/integrations/qseverse/qs-credentials/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": [
    {
      "credentialId": "text",
      "templateId": "text",
      "issuedTo": "text",
      "issuedAt": "text",
      "status": "text"
    }
  ]
}
post

Create Wadhwani Auth Token.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/wadhwani/auth-token/
POST /api/v1/integrations/wadhwani/auth-token/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "access_token": "text",
    "token_type": "text",
    "expires_in": 1,
    "scope": "text"
  }
}
post

Create Wadhwani Course Details.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/wadhwani/course-details/
POST /api/v1/integrations/wadhwani/course-details/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "status": "text",
    "courses": [
      {
        "courseRootId": "text",
        "name": "text",
        "description": "text",
        "thumbnailUrl": "text"
      }
    ]
  }
}
post

Create Wadhwani Course Enroll Status.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/wadhwani/course-enroll-status/
POST /api/v1/integrations/wadhwani/course-enroll-status/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "status": "text",
    "enrolledCourses": [
      {
        "courseRootId": "text",
        "name": "text",
        "enrollmentDate": "text",
        "completionStatus": "text"
      }
    ]
  }
}
post

Create Wadhwani Course Quiz Data.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/wadhwani/course-quiz-data/
POST /api/v1/integrations/wadhwani/course-quiz-data/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "status": "text",
    "quizData": [
      {
        "quizId": "text",
        "quizName": "text",
        "score": 1,
        "totalMarks": 1,
        "attemptDate": "text"
      }
    ]
  }
}
post

Create Wadhwani User Login.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/integrations/wadhwani/user-login/
POST /api/v1/integrations/wadhwani/user-login/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "status": "text",
    "accessToken": "text",
    "expiresIn": 1,
    "userCreated": true,
    "courseEnrolled": true,
    "redirectionUrl": "text"
  }
}

Last updated

Was this helpful?